MaxlengthCrossed = :Maximum length allowed is 
ValueNotFound =  : is not present in table no 
TableAlreadyPresent =  :Table is already present. 
TableDoesNotExists =  :Table does not exists or not added.
MessageDiscarded = Duplicate Message 
BatchDiscarded = Batch contain invalid messages 
QC_QueryCancelled =Query Cancelled. 
PubSub_NullListener = Listener can not be NULL.
PubSub_startsecondlistener = Cannot start two listener,one listener is running already.
PubSub_NoListenerStarted = listener cannot be stopped, No listener is running presently.
PubSub_DiscardPubSubMessage = Discarding Subscription message due absence of Publisher/PublishProcessor
Sequence_InvalidSequenceNumber = System tries to send or receive null or wrong sequence number to other system. 
Sequence_Resynchronization = System tries to Resynchronization with other system.
Sequence_NotSetSequencenumber = System not set the Sequence Numbering.
Fragment_InvalidReadersWritersLength = Invalid value for ReadersWritersLength.
IPAddress = IP Address  
Port = Port 
Version = HL7 file version is :
SocketReadTimeout = Read timeout, closing connection :  
InvalidWaitPeriod = Wait period set to Infinite value because user set wait period either 0 or negative value.
InvalidNumberOfAttempts = No resend attepmpts set for sending request because user set attempts either 0 or negative value.
MSHMissing = MSH segment missing.
QIC_QueryIdNotPresent = Invalid Query id,SegmentSet can not be generated.
QIC_ContinuationPointerNull = Continuation pointer is unavailable can not generate SegmentSet for :=======
SegmentRemovedFourcefully = Segment or Group removed fourcefully: 
SegmentAttributeRemovedFourcefully = Segment's attribute removed forcefully: 
SegmentAttributeCanNotRemoved = Segment's attribute can not removed : 
CanNotFourcefullyRemoveSegmentOrGroup = Removal of Segment or Group generates invalid message so adding Segment or Group again: 
CanNotFourcefullyRemoveSegmentAttribute = Removal of Segment's Attribute generates invalid message so adding Segment's Attribute again: 
NullSegmentListOrSegmentNotPresent = Segment List is Null or segment not present in message: 
NullSegmentListOrSegmentAttributePresent = Segment List is Null or Segment's Attribute is not present in message: 
NotFirstLevelMember = Given Segment or Group is not a first level member of message or may not be present in a HL7 file: 
SegmentRemoved = Segment or Group removed successfully: 
ServerStopped = Server stopped listening.
Value_should_not_be_NULL= Value of Messsage should not be null.